Menu
AWS Elastic Beanstalk
Developer Guide (API Version 2010-12-01)

Node.js Platform History

This page lists the previous versions of AWS Elastic Beanstalk's Node.js platforms and the dates that each version was current. Platform versions that you have used to launch an environment remain available even after they are no longer current.

See the Pre-Configured Platforms page for information on the latest version of each platform supported by Elastic Beanstalk. Detailed release notes are available for recent releases at aws.amazon.com/releasenotes.

Elastic Beanstalk supports the following platform configurations for Node.js environments created between April 5, 2017 and May 18, 2017:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

AWS X-Ray

Node.js version 4.0.1

64bit Amazon Linux 2016.09 v4.0.1 running Node.js

2016.09.0

Node.js 6.10.0, Also supports 7.6.0, 6.9.1, 5.12.0, 4.8.0, 4.6.1

NPM 3.9.5

nginx 1.10.1, Apache 2.4.25

2.7.4

1.0.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between March 8, 2017 and April 4, 2017:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

AWS X-Ray

Node.js version 4.0.0

64bit Amazon Linux 2016.09 v4.0.0 running Node.js

2016.09.0

Node.js 6.10.0, Also supports 7.6.0, 6.9.1, 5.12.0, 4.8.0, 4.6.1

NPM 3.9.5

nginx 1.10.1, Apache 2.4.25

2.7.4

1.0.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between February 9, 2017 and March 7, 2017:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

AWS X-Ray

Node.js version 3.3.1

64bit Amazon Linux 2016.09 v3.3.1 running Node.js

2016.09.0

Node.js 6.9.1, Also supports 6.2.2, 5.12.0, 4.6.1, 4.4.6, 0.12.17, 0.12.15, 0.10.48, 0.10.46

NPM 3.9.5

nginx 1.10.1, Apache 2.4.23

2.7.4

1,0.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between December 22, 2016 and February 8, 2017:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

AWS X-Ray

Node.js version 3.3.0

64bit Amazon Linux 2016.09 v3.3.0 running Node.js

2016.09.0

Node.js 6.9.1, Also supports 6.2.2, 5.12.0, 4.6.1, 4.4.6, 0.12.17, 0.12.15, 0.10.48, 0.10.46

NPM 3.9.5

nginx 1.10.1, Apache 2.4.23

2.7.4

1.0.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between December 9, 2016 and December 21, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

Node.js version 3.2.0

64bit Amazon Linux 2016.09 v3.2.0 running Node.js

2016.09.0

Node.js 6.9.1, Also supports 6.2.2, 5.12.0, 4.6.1, 4.4.6, 0.12.17, 0.12.15, 0.10.48, 0.10.46

NPM 3.10.8*

nginx 1.10.1, Apache 2.4.23

2.7.4

* Depending upon the version of Node.js that you are using.

Elastic Beanstalk supports the following platform configurations for Node.js environments created between October 28, 2016 and December 8, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

Node.js version 3.1.0

64bit Amazon Linux 2016.09 v3.1.0 running Node.js

2016.09.0

Node.js 6.9.1, Also supports 6.9.1, 6.2.2, 5.12.0, 4.6.1, 4.4.6, 0.12.17, 0.12.15, 0.10.48, 0.10.46

NPM 2.15.5

nginx 1.10.1, Apache 2.4.18

2.7.4

Elastic Beanstalk supports the following platform configurations for Node.js environments created between June 26, 2016 and October 27, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

Node.js version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Node.js

2016.03.2

Node.js 4.4.6, Also supports 6.2.2, 5.12.0, 0.12.15, 0.10.46, 0.8.28

NPM 2.15.5

nginx 1.8.1, Apache 2.4.18

2.7.4

Elastic Beanstalk supports the following platform configurations for Node.js environments created between May 9, 2016 and June 26, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

Node.js version 2.1.1

64bit Amazon Linux 2016.03 v2.1.1 running Node.js

2016.03

Node.js 4.4.3, Also supports 0.12.13, 0.10.44, 0.8.28

NPM 2.15.1

nginx 1.8.1, Apache 2.4.18

2.7.4

Elastic Beanstalk supports the following platform configurations for Node.js environments created between April 7, 2016 and May 9, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Proxy Server

Git

Node.js version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Node.js

2016.03

Node.js 4.3.0

Also supports 0.12.10, 0.10.42, 0.8.28

NPM 2.14.7

nginx 1.8.1 or

Apache 2.4.18

Git 2.7.4

Elastic Beanstalk supports the following platform configurations for Node.js environments created between February 26, 2016 and April 7, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Web Server

Git

Node.js version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Node.js

2015.09

Node.js 4.3.0

Also supports 0.12.10, 0.10.42, 0.8.28

NPM 2.14.7

nginx 1.8.0 or

Apache 2.4.16

Git 2.4.3

Elastic Beanstalk supports the following platform configurations for Node.js environments created between February 11, 2016 and February 26, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Web Server

Git

Node.js version 2.0.7

64bit Amazon Linux 2015.09 v2.0.7 running Node.js

2015.09

Node.js 4.2.3

Also supports 0.12.9, 0.10.41, 0.8.28

NPM 2.14.7

nginx 1.8.0 or

Apache 2.4.16

Git 2.4.3

Elastic Beanstalk supports the following platform configurations for Node.js environments created between January 11, 2016 and February 11, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Web Server

Git

Node.js version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Node.js

2015.09

Node.js 4.2.3

Also supports 0.12.9, 0.10.41, 0.8.28

NPM 2.14.7

nginx 1.8.0 or

Apache 2.4.16

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between December 18, 2015 and January 11, 2016:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Web Server

Git

Node.js version 2.0.5

64bit Amazon Linux 2015.09 v2.0.5 running Node.js

2015.09

Node.js 4.2.3

Also supports 0.12.9, 0.10.41, 0.8.28

NPM 2.14.7

nginx 1.8.0 or

Apache 2.4.16

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between November 2, 2015 and December 18, 2015:

Configuration and Solution Stack Name

AMI

Platform

Package Manager

Web Server

Git

Node.js version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Node.js

2015.09

Node.js 4.2.1

Also supports 0.12.7, 0.12.6, 0.10.39, 0.10.38, 0.10.31, 0.8.28

NPM 2.14.7

nginx 1.8.0 or

Apache 2.4.16

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between September 18, 2015 and November 2, 2015:

Configuration and Solution Stack Name

AMI

Platform

Web Server

Git

Node.js version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Node.js

2015.03

Node.js 0.12.6

Also supports 0.10.39, 0.10.38, 0.10.31, 0.8.28

Nginx 1.6.2 or

Apache 2.4.12

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between August 11, 2015 and September 18, 2015:

Configuration and Solution Stack Name AMI Platform Web Server Git

Node.js version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Node.js

2015.03

Node.js 0.12.6

Also supports 0.10.39, 0.10.38, 0.10.31, 0.8.28

nginx 1.6.2 or

Apache 2.4.12

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between August 3, 2015 and August 11, 2015:

Configuration and Solution Stack Name AMI Platform Web Server Git

Node.js version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Node.js

2015.03

Node.js 0.12.6

Also supports 0.10.39, 0.10.38, 0.10.31, 0.8.28

nginx 1.6.2 or

Apache 2.4.12

Git 2.1.0

Elastic Beanstalk supports the following platform configurations for Node.js environments created between July 7, 2015 and August 3, 2015:

Configuration and Solution Stack Name AMI Platform Web Server

Node.js version 1.4.4

64bit Amazon Linux 2015.03 v1.4.4 running Node.js

2015.03

Node.js 0.12.6

Also supports 0.10.39, 0.10.38, 0.10.31, 0.8.28

nginx 1.6.2 or

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for Node.js environments created between June 15, 2015 and July 7, 2015:

Configuration and Solution Stack Name AMI Platform Web Server

Node.js version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Node.js

2015.03

Node.js 0.12.4

Also supports 0.12.2, 0.12.0, 0.10.38, 0.10.31, 0.8.28

nginx 1.6.2 or

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for Node.js environments created between May 27, 2015 and June 15, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2015.03 v1.4.1 running Node.js

2015.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

0.10.38

0.12.0

0.12.2

nginx 1.6.2 or Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for Node.js environments created between April 22, 2015 and May 26, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2015.03 v1.3.1 running Node.js

2015.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

0.10.38

0.12.0

0.12.2

nginx 1.6.2 or Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for Node.js environments created between April 8, 2015 and April 21, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2015.03 v1.3.1 running Node.js

2015.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

0.10.38

0.12.0

0.12.2

nginx 1.6.2 or Apache 2.4.10

Elastic Beanstalk supports the following platform configurations for Node.js environments created between March 24, 2015 and April 7, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.09 v1.2.1 running Node.js

2014.09

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

0.12.0

nginx 1.6.2 or Apache 2.4.10

Elastic Beanstalk supports the following platform configurations for Node.js environments created between February 17, 2015 and March 23, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.09 v1.2.0 running Node.js

2014.09

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.6.2 or Apache 2.4.10

Elastic Beanstalk supports the following platform configurations for Node.js environments created between January 28, 2015 and February 16, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.09 v1.1.01 running Node.js

2014.09

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.6.2 or Apache 2.4.6

32bit Amazon Linux 2014.03 v1.1.01 running Node.js

2014.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.4.7 or Apache 2.4.10

64bit Amazon Linux 2014.03 v1.1.01 running Node.js

2014.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.4.7 or Apache 2.4.10

1CVE-2015-0235 Advisory (Ghost)

Elastic Beanstalk supports the following platform configurations for Node.js environments created between October 16, 2014 and January 27, 2015:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.09 v1.0.91 running Node.js

2014.09

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.6.2 or Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.91 running Node.js

2014.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.6.2 or Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.91 running Node.js

2014.03

JavaScript

0.8.26

0.8.28

0.10.21

0.10.26

0.10.31

nginx 1.6.2 or Apache 2.4.6

1CVE-2014-3566 Advisory

Elastic Beanstalk supports the following platform configurations for Node.js environments created between October 9, 2014 and October 15, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.09 v1.0.8 running Node.js

2014.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for Node.js environments created between September 24, 2014 and October 8, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2014.03 v1.0.71 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.71 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

1 CVE-2014-6271 Advisory and ALAS-2014-419

Elastic Beanstalk supports the following platform configurations for Node.js environments created between June 30, 2014 and September 23, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

64bit Amazon Linux 2014.03 v1.0.4 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for Node.js environments created between June 5, 2014 and June 29, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2014.03 v1.0.31 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.31 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

1 OpenSSL Security Advisory

Elastic Beanstalk supports the following platform configurations for Node.js environments created between May 5, 2014 and June 4, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2014.03 v1.0.2 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.2 running Node.js

2014.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.7 or Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for Node.js environments created between April 7, 2014 and May 4, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2014.02 v1.0.11 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.3 or Apache 2.4.6

64bit Amazon Linux 2014.02 v1.0.11 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.3 or Apache 2.4.6

32bit Amazon Linux 2013.09 v1.0.11 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

64bit Amazon Linux 2013.09 v1.0.11 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

1 openssl-1.0.1e-4.58.amzn1

Elastic Beanstalk supports the following platform configurations for Node.js environments created between March 18, 2014 and April 6, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2014.02 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.3 or Apache 2.4.6

64bit Amazon Linux 2014.02 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.8.26

0.10.10

0.10.21

0.10.26

nginx 1.4.3 or Apache 2.4.6

32bit Amazon Linux 2013.09 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

64bit Amazon Linux 2013.09 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for Node.js environments created between October 29, 2013 and March 17, 2014:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2013.09 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

64bit Amazon Linux 2013.09 running Node.js

2013.09

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

0.10.21

nginx 1.4.3 or Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for Node.js environments created between August 15, 2013 and October 28, 2013:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux running Node.js

2013.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

nginx 1.2.9 or Apache 2.4.4

64bit Amazon Linux running Node.js

2013.03

JavaScript

0.8.6 through 0.8.21

0.8.24

0.10.10

nginx 1.2.9 or Apache 2.4.4

Elastic Beanstalk supports the following configurations for environments created with Node.js containers prior to August 15, 2013:

Node.js Configurations

Name AMI Language Node.js Version Web Server

32bit Amazon Linux 2012.09 running Node.js

2012.09

JavaScript

0.8.6 through 0.8.21

0.8.24

nginx 1.2.6 or Apache 2.4.3

64bit Amazon Linux 2012.09 running Node.js

2012.09

JavaScript

0.8.6 through 0.8.21

0.8.24

nginx 1.2.6 or Apache 2.4.3